{ pkgs, ... }:

{
  programs.alacritty = {
    enable = true;
    package = pkgs.unstable.alacritty;
    settings = {
      env.TERM = "xterm-256color";
      window.decorations = "full";
      font.normal.family = "FiraCode Nerd Font";
      font.normal.style = "Regular";
      font.bold.family = "FiraCode Nerd Font";
      font.bold.style = "Bold";
      font.italic.family = "FiraCode Nerd Font";
      font.italic.style = "MediumItalic";
      font.bold_italic.family = "FiraCode Nerd Font";
      font.bold_italic.style = "BoldItalic";
      font.size = 14.0;
      font.offset = {
        x = 0;
        y = 4;
      };
      scrolling = {
        history = 10000;
        multiplier = 3;
      };
      colors.draw_bold_text_with_bright_colors = true;

      shell = "${pkgs.fish}/bin/fish";
      import = ["~/.config/alacritty/themes/everforest_dark.toml"];
      keyboard.bindings = [
        {
          key = "F11";
          action = "ToggleFullscreen";
        }
      ];
      # TODO: check wezterm for an alternative
    };
  };
}
