{ pkgs, ... }: 

{
  home.packages = with pkgs; [
    pinentry
    # pinentry-gnome
    pinentry-curses
  ];

  programs.gpg = {
    enable = true;
    settings = {
      no-emit-version = true;
      no-comments = true;
      display-charset = "utf-8";
      keyid-format = "0xlong";
      with-fingerprint = true;
      use-agent = true;
    };
  };

  services.gpg-agent = {
    enable = true;
    defaultCacheTtl = 1800;
    enableSshSupport = true;
    pinentryFlavor = "gnome3";
  };
}
