{ pkgs, ... }: 

{
  programs.helix = {
    enable = true;
    package = pkgs.unstable.helix;
    extraPackages = with pkgs; [
      nodePackages."bash-language-server"
      nodePackages."@volar/vue-language-server"
      nodePackages."@tailwindcss/language-server"
      nodePackages."typescript-language-server"
      vscode-langservers-extracted
      efm-langserver # Used by Prettier
      python311Packages.python-lsp-server
      dockerfile-language-server-nodejs
      elmPackages.elm-language-server
      yaml-language-server
      marksman # Markdown
      nil # Nix

      ## These seem to be not working
      # nodePackages_latest.vscode-css-languageserver-bin
      # nodePackages_latest.vscode-html-languageserver-bin
      # nodePackages_latest.vscode-json-languageserver

      ## Provided by rustup installed as a system package
      # rust-analyzer

      ## Not used for now
      # texlab # LaTeX
      # elixir-ls
      # lua-language-server
      # haskell-language-server

      ## Not working
      nodePackages_latest.vls # Vue, not working
      # graphql-lsp

      ## Debugger - not thested if it's working
      lldb
      # lldb_16

      ## Hopefully, I'll never make use of that. UPD: it's unfree lol, won't install
      # nodePackages_latest.intelephense
    ];
  };
}
