{ pkgs, ... }:
let
  username = "serge";
in
{
  imports = [
    ./hardware-configuration.nix
    ../common.nix
  ];

  networking.hostName = "kiwee";
   
  i18n.extraLocaleSettings = {
    LC_ADDRESS = "pl_PL.UTF-8";
    LC_IDENTIFICATION = "pl_PL.UTF-8";
    LC_MEASUREMENT = "pl_PL.UTF-8";
    LC_MONETARY = "pl_PL.UTF-8";
    LC_NAME = "pl_PL.UTF-8";
    LC_NUMERIC = "pl_PL.UTF-8";
    LC_PAPER = "pl_PL.UTF-8";
    LC_TELEPHONE = "pl_PL.UTF-8";
    LC_TIME = "pl_PL.UTF-8";
  };

  users.users.${username}= {
    isNormalUser = true;
    uid = 1000;
    description = "Serhii Korzh";
    extraGroups = [ "networkmanager" "wheel" "docker" ];
  };

  home-manager.users = {
    "${username}" = import ../../home-manager/work.nix { inherit pkgs username; };
  };

  # Enable automatic login for the user.
  services.xserver.displayManager.autoLogin.enable = true;
  services.xserver.displayManager.autoLogin.user = "serge";

  # Workaround for GNOME autologin: https://github.com/NixOS/nixpkgs/issues/103746#issuecomment-945091229
  # systemd.services."getty@tty1".enable = false;
  # systemd.services."autovt@tty1".enable = false;
}
