{ pkgs, ... }:

{
  imports =
    [
      ./hardware-configuration.nix
      ../common.nix
    ];

  # TODO: check where it came from (used to be in configuration.nix before)
  boot.initrd.luks.devices."luks-ac1d5f26-f6f0-4bf5-b685-dfd9808f9aa8".device = "/dev/disk/by-uuid/ac1d5f26-f6f0-4bf5-b685-dfd9808f9aa8";

  networking.hostName = "nixos";
  
  i18n.extraLocaleSettings = {
    LC_ADDRESS = "fi_FI.UTF-8";
    LC_IDENTIFICATION = "fi_FI.UTF-8";
    LC_MEASUREMENT = "fi_FI.UTF-8";
    LC_MONETARY = "fi_FI.UTF-8";
    LC_NAME = "fi_FI.UTF-8";
    LC_NUMERIC = "fi_FI.UTF-8";
    LC_PAPER = "fi_FI.UTF-8";
    LC_TELEPHONE = "fi_FI.UTF-8";
    LC_TIME = "fi_FI.UTF-8";
  };

  # ----------------------------------------------------
  users.groups.serge.gid = 1001;
  users.users.serge = {
    isNormalUser = true;
    home = "/home/serge";
    uid = 1001;
    description = "Serge Korzh";
    group = "serge";
    extraGroups = [ "users" "networkmanager" "wheel" "docker" ];
  };

  users.groups.work.gid = 1000;
  users.users.work = {
    isNormalUser = true;
    home = "/home/work";
    uid = 1000;
    description = "Work";
    group = "work";
    extraGroups = [ "users" "networkmanager" "wheel" "docker" ];
  };

  home-manager.users = {
    "serge" = import ../../home-manager/personal.nix;
    "work" = import ../../home-manager/work.nix { inherit pkgs; username = "work"; };
  };
}
